Skip to main content
POST
cURL

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Path Parameters

id
integer
required

A unique integer value identifying this metric.

Body

evaluation_trigger
string

Override evaluation trigger setting

evaluation_trigger_prompt
string

Override evaluation trigger prompt

description
string

Override metric description

type
enum<string>

Override metric type

  • basic - Basic (Deprecated in favor of LLM Judge)
  • custom_prompt - Custom Prompt ( Deprecated in favor of LLM Judge)
  • custom_code - Custom Code
  • llm_judge - LLM Judge
Available options:
basic,
custom_prompt,
custom_code,
llm_judge
custom_code
string

Override custom code

prompt
string

Override evaluation prompt

metric_description_program
any

Advanced metric description configuration

metric_description_variables
any

Variables for metric description

evaluation_trigger_program
any

Advanced trigger configuration

evaluation_trigger_variables
any

Variables for evaluation trigger

skip_save
boolean
default:false

If true, don't save evaluation results to database (used for internal previews)

Response

200

Returns progress_id for tracking progress